io.undertow.server

## Class XnioBufferPoolAdaptor

- java.lang.Object
- - io.undertow.server.XnioBufferPoolAdaptor

All Implemented Interfaces:
  org.xnio.Pool<ByteBuffer>

    public class XnioBufferPoolAdaptor
    extends Object
    implements org.xnio.Pool<ByteBuffer>

Adaptor between a ByteBufferPool and an XNIO Pool

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface org.xnio.Pool

`DIRECT, HEAP`

### Constructor Summary

Constructors
Constructor and Description
`XnioBufferPoolAdaptor(ByteBufferPool byteBufferPool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.xnio.Pooled<ByteBuffer>` `allocate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XnioBufferPoolAdaptor

    public XnioBufferPoolAdaptor(ByteBufferPool byteBufferPool)

### Method Detail

#### allocate

    public org.xnio.Pooled<ByteBuffer> allocate()

Specified by:
  `allocate` in interface `org.xnio.Pool<ByteBuffer>`